import { DbApi, OrderClause } from '../types.js';
export default class bbnDbObjectProxy implements DbApi {
    private readonly _dbName;
    lastErr: any;
    constructor(dbName: string);
    get dbName(): string;
    insert(table: string, data: any): Promise<number>;
    update(table: string, data: any, where: any, replace?: boolean): Promise<number>;
    delete(table: string, where: any): Promise<number>;
    selectOne(table: string, field: string, where?: unknown, order?: OrderClause, start?: number, limit?: number): Promise<unknown>;
    select(table: string, fields?: string[], where?: unknown, order?: OrderClause, start?: number): Promise<unknown>;
    selectAll(table: string, fields?: string[], where?: unknown, order?: OrderClause, start?: number, limit?: number | null): Promise<unknown>;
    getColumnValues(table: string, field: string, where?: unknown, order?: OrderClause, start?: number, limit?: number | null): Promise<unknown>;
    count(table: string, where?: unknown): Promise<number>;
    copyTable(target: string, table: string, fields?: string[], where?: unknown, order?: OrderClause, start?: number, limit?: number | null): Promise<number>;
    deleteTable(table: string): Promise<boolean>;
    close(): void;
    lastError(): unknown;
}
